Difference between revisions of "TechDraw Quadrants"

From FreeCAD Documentation
Jump to navigation Jump to search
(deletion info)
 
(13 intermediate revisions by 6 users not shown)
Line 2: Line 2:
 
<translate>
 
<translate>
 
<!--T:16-->
 
<!--T:16-->
{{Docnav|[[TechDraw_Midpoints|Midpoints]]|[[TechDraw CosmeticEraser|CosmeticEraser]]|[[TechDraw_Module|TechDraw]]|IconL=Techdraw-midpoint.svg|IconC=Workbench_TechDraw.svg|IconR=techdraw-eraser.svg}}
+
{{Docnav
 +
|[[TechDraw_Midpoints|Add Midpoint Vertices]]
 +
|[[TechDraw_FaceCenterLine|Add Centerline to Face(s)]]
 +
|[[TechDraw_Module|TechDraw]]
 +
|IconL=TechDraw_Midpoints.svg
 +
|IconC=Workbench_TechDraw.svg
 +
|IconR=TechDraw_FaceCenterLine.svg
 +
}}
  
 
<!--T:1-->
 
<!--T:1-->
 
{{GuiCommand
 
{{GuiCommand
|Name=TechDraw Quadrant
+
|Name=TechDraw Quadrants
|Icon=techdraw-quadrant.svg
+
|MenuLocation=TechDraw → Add Vertices → Add Quadrant Vertices
|MenuLocation=TechDraw → Quadrant
 
 
|Workbenches=[[TechDraw Module|TechDraw]]
 
|Workbenches=[[TechDraw Module|TechDraw]]
|SeeAlso=[[TechDraw CosmeticVertex]], [[TechDraw Midpoints]]
+
|SeeAlso=[[TechDraw_CosmeticVertex|Add Cosmetic Vertex]], [[TechDraw_Midpoints|Add Midpoint Vertices]]
 
|Version=0.19
 
|Version=0.19
 
}}
 
}}
Line 17: Line 23:
  
 
<!--T:8-->
 
<!--T:8-->
The Quadrant tool adds Cosmetic Vertices at the 90/180/270 degree points of a circular Edge (the 0 degree vertex should already be there as a geometric vertex).
+
The Quadrant tool adds [[TechDraw_CosmeticVertex|Cosmetic Vertices]] at the 90/180/270° points of a circular edge. The 0° vertex should already be there as a geometric vertex.
  
 
</translate>
 
</translate>
[[Image:TechDraw_CosmeticQuadrant_Sample.png]]
+
[[Image:TechDraw_CosmeticQuadrant_Sample.png|250px]]
 
<translate>
 
<translate>
 
<!--T:9-->
 
<!--T:9-->
{{Caption|Cosmetic Vertices at quadrant points of a circle}}
+
{{Caption|Cosmetic vertices at quadrant points of a circle}}
  
==How to use== <!--T:3-->
+
==Usage== <!--T:3-->
  
 
<!--T:10-->
 
<!--T:10-->
 
# Select one or more (circular) Edges in a View.  
 
# Select one or more (circular) Edges in a View.  
# Press the {{Button|[[Image:Techdraw-quadrant.svg|16px]] [[TechDraw Quadrant|Quadrant]]}} button
+
# Press the {{Button|[[Image:TechDraw_Quadrants.svg|16px]] Add Quadrant Vertices}} button.
# Cosmetic Vertices will be added at the quarter-point(s) of the Edge(s).
+
# Cosmetic vertices will be added at the quarter-points of the edges.
  
 +
<!--T:18-->
 +
'''Note:''' This tool can be used on any edge, not just circles.
 +
 +
To delete a Quadrant Vertex, select it and use the toolbar button {{Button|[[Image:TechDraw_CosmeticEraser.svg|16px]] [[TechDraw_CosmeticEraser|Remove Cosmetic Object]]}}.
  
 
==Properties== <!--T:19-->
 
==Properties== <!--T:19-->
Line 41: Line 51:
  
 
<!--T:12-->
 
<!--T:12-->
{{Emphasis|See also:}} [[TechDraw API]] and [[FreeCAD Scripting Basics]].
+
{{Emphasis|See also:}} [[TechDraw API|TechDraw API]] and [[FreeCAD Scripting Basics|FreeCAD Scripting Basics]].
  
 
<!--T:13-->
 
<!--T:13-->
Cosmetic Vertices are not accessible from [[macros]] or the [[Python]] console at this time.  This snippet will remove all Cosmetic Vertices from the View.
+
Cosmetic Vertices are not accessible from [[macros|macros]] or the [[Python|Python]] console at this time.  This snippet will remove all Cosmetic Vertices from the View.
  
 
</translate>
 
</translate>
Line 54: Line 64:
  
 
<translate>
 
<translate>
 
==Notes== <!--T:18-->
 
* This feature was added in v0.19
 
* This tool can actually be used on any Edge, not just circles.
 
  
 
<!--T:17-->
 
<!--T:17-->
{{Docnav|[[TechDraw_Midpoints|Midpoints]]|[[TechDraw CosmeticEraser|CosmeticEraser]]|[[TechDraw_Module|TechDraw]]|IconL=Techdraw-midpoint.svg|IconC=Workbench_TechDraw.svg|IconR=techdraw-eraser.svg}}
+
{{Docnav
 
+
|[[TechDraw_Midpoints|Add Midpoint Vertices]]
<!--T:14-->
+
|[[TechDraw_FaceCenterLine|Add Centerline to Face(s)]]
{{TechDraw Tools navi}}
+
|[[TechDraw_Module|TechDraw]]
 +
|IconL=TechDraw_Midpoints.svg
 +
|IconC=Workbench_TechDraw.svg
 +
|IconR=TechDraw_FaceCenterLine.svg
 +
}}
  
<!--T:15-->
 
{{Userdocnavi}}
 
 
</translate>
 
</translate>
 +
{{TechDraw Tools navi{{#translation:}}}}
 +
{{Userdocnavi{{#translation:}}}}
 
{{clear}}
 
{{clear}}

Latest revision as of 12:28, 29 March 2020

Other languages:
Deutsch • ‎English • ‎français • ‎italiano

TechDraw Quadrants.svg TechDraw Quadrants

Menu location
TechDraw → Add Vertices → Add Quadrant Vertices
Workbenches
TechDraw
Default shortcut
None
Introduced in version
0.19
See also
Add Cosmetic Vertex, Add Midpoint Vertices


Description

The Quadrant tool adds Cosmetic Vertices at the 90/180/270° points of a circular edge. The 0° vertex should already be there as a geometric vertex.

TechDraw CosmeticQuadrant Sample.png

Cosmetic vertices at quadrant points of a circle


Usage

  1. Select one or more (circular) Edges in a View.
  2. Press the TechDraw Quadrants.svg Add Quadrant Vertices button.
  3. Cosmetic vertices will be added at the quarter-points of the edges.

Note: This tool can be used on any edge, not just circles.

To delete a Quadrant Vertex, select it and use the toolbar button TechDraw CosmeticEraser.svg Remove Cosmetic Object.

Properties

Cosmetic Vertices have no properties of their own, as they are not Document Objects. They share color and size settings with regular geometry vertices.

Scripting

See also: TechDraw API and FreeCAD Scripting Basics.

Cosmetic Vertices are not accessible from macros or the Python console at this time. This snippet will remove all Cosmetic Vertices from the View.

>>> v = App.ActiveDocument.View
>>> v.clearCV()
>>> App.activeDocument().recompute()